MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031713Open CASCADE[OCCT] OCCT:DRAWpublic2020-08-13 15:412020-08-16 11:52
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031713: Draw Harness, IVtkDraw - add commands ivtksetcolor, ivtkaxo, ivtkclose, ivtksettransparency
DescriptionIVtkDraw should be extended with commands similar to ViewerTest for managing view orientation (ivtkaxo, ivtkfront, etc.) and object color (ivtksetcolor, ivtksetransparency).
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0031709verifiedbugmaster Draw Harness - move methods ViewerTest::ParseOnOff()/ParseColor() to package Draw 
child of 0022877closedbugmaster Draw Harness - add plugin for VIS component 

-  Notes
(0093489)
git (administrator)
2020-08-13 15:48

Branch CR31713 has been created by kgv.

SHA-1: 16f6ee46f16951dbc50392a8ebf49b6462a42497


Detailed log of new commits:

Author: kgv
Date: Thu Aug 13 15:50:31 2020 +0300

    0031713: Draw Harness, IVtkDraw - add commands ivtksetcolor, ivtkaxo, ivtkclose, ivtksettransparency
    
    Added missing NULL checks before accessing GetInteractor().
    Errors are now reported using Message::SendFail().
    Not found actor names are now reported as syntax error instead of silently skipping them.
    
    ivtkinit now accepts aguments -srgb and -msaa for overriding defaults.
    Default MSAA settings have been changed from 8 to 0 to match vinit behavior.
    Added command ivtkclose closing a Vtk view.
    
    Added commands ivtkaxo, ivtkfront, ivtkback, ivtkleft, ivtkright,
    ivtktop and ivtkbottom assigning view projection similar to sonamed commands in ViewerTest.
    
    Added commands ivtksetcolor and ivtksettransparency assigning
    color properties to shaded presentation.
(0093491)
git (administrator)
2020-08-13 16:26

Branch CR31713 has been updated forcibly by kgv.

SHA-1: 50d0a5394db84506e990389cb51cab9fd2f1aa72
(0093494)
kgv (developer)
2020-08-13 22:53

Patch is ready for review in OCCT branch CR31713.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31713-master-KGV/view/PRODUCTS%20compile/ [^]
(0093498)
git (administrator)
2020-08-14 09:50

Branch CR31713 has been updated forcibly by kgv.

SHA-1: 3840e28c2eec85bb33d08332d7b9915aad6d5f98
(0093499)
osa (developer)
2020-08-14 09:52

The patch was reviewed
(0093506)
bugmaster (administrator)
2020-08-16 11:38

Combination -
OCCT branch : IR-2020-08-14
master SHA - 12e6d49993ae1c998ad802086e0ff62e4f93c6a1
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-08-14 SHA - 538cec7d7ec12567665956502d9224b22edaab31
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17160.250000000116 / 17191.360000000128 [-0.18%]
Products
Total CPU difference: 11820.020000000079 / 11889.420000000087 [-0.58%]
Windows-64-VC14:
OCCT
Total CPU difference: 18724.890625 / 18788.5625 [-0.34%]
Products
Total CPU difference: 13316.109375 / 13265.75 [+0.38%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0093508)
git (administrator)
2020-08-16 11:52

Branch CR31713 has been deleted by inv.

SHA-1: 3840e28c2eec85bb33d08332d7b9915aad6d5f98

- Related Changesets
occt: master 12e6d499
Timestamp: 2020-08-13 12:50:31
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031713: Draw Harness, IVtkDraw - add commands ivtksetcolor, ivtkaxo, ivtkclose, ivtksettransparency

Added missing NULL checks before accessing GetInteractor().
Errors are now reported using Message::SendFail().
Not found actor names are now reported as syntax error instead of silently skipping them.

ivtkinit now accepts aguments -srgb and -msaa for overriding defaults.
Default MSAA settings have been changed from 8 to 0 to match vinit behavior.
Added command ivtkclose closing a Vtk view.

Added commands ivtkaxo, ivtkfront, ivtkback, ivtkleft, ivtkright,
ivtktop and ivtkbottom assigning view projection similar to sonamed commands in ViewerTest.

Added commands ivtksetcolor and ivtksettransparency assigning
color properties to shaded presentation.
mod - src/IVtkDraw/IVtkDraw.cxx Diff ] File ]
mod - src/IVtkDraw/IVtkDraw.hxx Diff ] File ]
mod - src/IVtkDraw/IVtkDraw_Interactor.cxx Diff ] File ]
mod - tests/v3d/ivtk/bgcolor Diff ] File ]
mod - tests/v3d/ivtk/boundary_draw Diff ] File ]
mod - tests/v3d/ivtk/detect Diff ] File ]
mod - tests/v3d/ivtk/display_mode Diff ] File ]
mod - tests/v3d/ivtk/erase Diff ] File ]
mod - tests/v3d/ivtk/seam_edges Diff ] File ]
mod - tests/v3d/ivtk/select Diff ] File ]
mod - tests/v3d/ivtk/selection_mode Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-08-13 15:41 kgv New Issue
2020-08-13 15:41 kgv Assigned To => kgv
2020-08-13 15:48 git Note Added: 0093489
2020-08-13 15:50 kgv Relationship added child of 0022877
2020-08-13 16:26 git Note Added: 0093491
2020-08-13 22:53 kgv Note Added: 0093494
2020-08-13 22:53 kgv Assigned To kgv => osa
2020-08-13 22:53 kgv Status new => resolved
2020-08-13 22:54 kgv Relationship added related to 0031709
2020-08-14 09:50 git Note Added: 0093498
2020-08-14 09:52 osa Note Added: 0093499
2020-08-14 09:52 osa Assigned To osa => bugmaster
2020-08-14 09:52 osa Status resolved => reviewed
2020-08-16 11:38 bugmaster Note Added: 0093506
2020-08-16 11:38 bugmaster Status reviewed => tested
2020-08-16 11:43 bugmaster Test case number => Not required
2020-08-16 11:44 bugmaster Changeset attached => occt master 12e6d499
2020-08-16 11:44 bugmaster Status tested => verified
2020-08-16 11:44 bugmaster Resolution open => fixed
2020-08-16 11:52 git Note Added: 0093508


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker